# BMA Server Framework: core::IPAddress Class Reference

core::IPAddress Class Reference
Inheritance diagram for core::IPAddress:
[legend]
Collaboration diagram for core::IPAddress:
[legend]

## Public Member Functions

| IPAddress (std::string address)
| IPAddress (std::string address, int port)
struct sockaddr * | getPointer ()
std::string | getClientAddress ()
| Get the client network address as xxx.xxx.xxx.xxx.
std::string | getClientAddressAndPort ()
| Get the client network address and port as xxx.xxx.xxx.xxx:ppppp.
int | getClientPort ()
| Get the client network port number.

## Public Attributes

struct sockaddr_in | addr
socklen_t | addressLength
Public Attributes inherited from core::Object
std::string | name
std::string | tag

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/IPAddress.h
- /home/barant/Development/BMA/server_core/ServerCore/IPAddress.cpp